date()

set.seed(5)

path<-getwd()
 
library("lattice")

library("boot")

library("coda")

# library("rjags")

# library("R2WinBUGS")

# library("dclone")

library("stats")

library("nlme")

library("MASS")

library("splines")

library("xtable")

library("grDevices")


# load.module("glm")

# library("VGAMdata")

# library("fpc")

# library("pvclust")

# library("psych")






path<-paste("/home/torkashe/scratch/NHANES-MM/",sep="")


load(file=paste(path,".RData",sep=""))



postscript(family="Times") 

# quartz(height=10,width=7,type="png")

pdf(file="hist-MSPE-clustering-NHANES.pdf", height=6.2, width=14.5)

# X11()

op<-par(mfrow=c(1, 3), mgp=c(3, 1.3, 0), mar=c(5,5,2,1), family="Times", cex.lab=3,cex=1, cex.axis=1.5, lwd=3)

# xlab=expression(frac(mspe[simple], mspe[complete]))

# postscript(family="Times") 

hist(MSE.complete.clusters/MSE.simplest, xlab="(a)",  breaks=10, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# postscript(family="Times") 

hist(MSE.combined/MSE.simplest, xlab="(b)",  breaks=10, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# postscript(family="Times") 

hist(MSE.combined/MSE.complete.clusters, xlab="(c)", breaks=10, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# dev.copy2pdf(file="hist-MSPE-clustering-NHANES.pdf",width=1400,height=600)

dev.off()


min.mspe<-min(c(MSE.complete.clusters, MSE.combined, MSE.simplest))

max.mspe<-max(c(MSE.complete.clusters, MSE.combined, MSE.simplest))

breaks.all.mspe<-seq(min.mspe, max.mspe, (max.mspe-min.mspe)/20)


# quartz(height=10,width=7,type="png")

pdf(file="hist-mspe-clustering-different-approaches-nhanes.pdf", height=6.2, width=14.5)

# X11()

op<-par(mfrow=c(1, 3), mgp=c(3, 1.3, 0), mar=c(5,5,2,1), family="Times", cex.lab=3,cex=1, cex.axis=1.5, lwd=3)

# xlab=expression(frac(mspe[simple], mspe[complete]))

# postscript(family="Times") 

hist(MSE.complete.clusters, xlab="(a)",  breaks=breaks.all.mspe, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# postscript(family="Times") 

hist(MSE.combined, xlab="(b)",  breaks=breaks.all.mspe, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# postscript(family="Times") 

hist(MSE.simplest, xlab="(c)", breaks=breaks.all.mspe, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# dev.copy2pdf(file="hist-mspe-clustering-different-approaches-nhanes.pdf",width=1400,height=600)

dev.off()


complete.over.simplest<-quantile(MSE.simplest/MSE.complete.clusters, prob = seq(0, 1, length = 11), type = 5)


complete.over.simplest.table<-c(complete.over.simplest, mean(MSE.simplest/MSE.complete.clusters))


combined.over.simple<-quantile(MSE.simplest/MSE.combined, prob = seq(0, 1, length = 11), type = 5)


combined.over.simple.table<-c(combined.over.simple, mean(MSE.simplest/MSE.combined))


complete.over.combined<-quantile(MSE.combined/MSE.complete.clusters, prob = seq(0, 1, length = 11), type = 5)


complete.over.combined.table<-c(complete.over.combined, mean(MSE.combined/MSE.complete.clusters))


mspe.improvement.table<-matrix(c(complete.over.simplest.table, combined.over.simple.table, complete.over.combined.table), nrow=12, ncol=3, byrow= FALSE)



xtable(mspe.improvement.table)





min.theta<-min(c(theta.hat.complete.clusters, theta.hat.combined, theta.hat.simplest))

max.theta<-max(c(theta.hat.complete.clusters, theta.hat.combined, theta.hat.simplest))

breaks.all.theta<-seq(min.theta, max.theta, (max.theta-min.theta)/20)


# quartz(height=10,width=7,type="png")

pdf(file="hist-theta-clustering-nhanes.pdf", height=6.2, width=14.5)

# X11()

op<-par(mfrow=c(1, 3), mgp=c(3, 1.3, 0), mar=c(5,5,2,1), family="Times", cex.lab=3,cex=1, cex.axis=1.5, lwd=3)

# xlab=expression(frac(mspe[simple], mspe[complete]))

# postscript(family="Times") 

hist(theta.hat.complete.clusters, xlab="(a)",  breaks=breaks.all.theta, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# postscript(family="Times") 

hist(theta.hat.combined, xlab="(b)",  breaks=breaks.all.theta, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# postscript(family="Times") 

hist( theta.hat.simplest, xlab="(c)", breaks=breaks.all.theta, main=" ", cex.lab=2, cex.axis=2.5, cex=3, lwd=4, mgp=c(3, 1, 0), mar=c(5,5,2,1), ylab=" ", freq=T)

# dev.copy2pdf(file="hist-theta-clustering-nhanes.pdf",width=1400,height=600)

dev.off()